summarylogtreecommitdiffstats
path: root/virt-manager.install
diff options
context:
space:
mode:
Diffstat (limited to 'virt-manager.install')
-rw-r--r--virt-manager.install23
1 files changed, 23 insertions, 0 deletions
diff --git a/virt-manager.install b/virt-manager.install
new file mode 100644
index 000000000000..642819868d81
--- /dev/null
+++ b/virt-manager.install
@@ -0,0 +1,23 @@
+post_install() {
+ [ -x usr/bin/update-desktop-database ] && update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ glib-compile-schemas usr/share/glib-2.0/schemas
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ rm -f /usr/share/virt-manager/virtManager/*.pyc || true
+}
+
+post_remove() {
+ [ -x usr/bin/update-desktop-database ] && update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ glib-compile-schemas usr/share/glib-2.0/schemas
+}